import { ActionFormData } from '@minecraft/server-ui';

import { showMainMenuForm } from './mainMenuForm';


export async function showSocialsForm(player){
    let form = new ActionFormData();
    form.title("Colorful Glass - Socials / Contact Us");

    let formBody = {rawtext: [
        {text: "\nNeed help with our Add-On or have an idea for an update? Contact us!\n\n"},
        {text: "§b§lDiscord:\n§rdiscord.blockperfectstudios.com\n\n"},
        {text: "§b§lTwitter:\n§r@block_perfect\n\n"},
        {text: "§b§lInstagram:\n§r@blockperfectstudios\n\n"},
        {text: "§b§lYouTube:\n§rwww.youtube.com/@blockperfectstudios\n\n"},
        {text: "§b§lWebsite:\n§rwww.blockperfectstudios.com\n\n"}
    ] }

    form.body(formBody);
    form.button("Back", "textures/blocks/barrier");

    const result = await form.show(player)
    const selection = result.selection;

    if(selection === 0){
        showMainMenuForm(player)
    }
}